<section id="{{windowId}}" class="window-container"
         (mouseenter)="mouseEnter()"
         (mouseleave)="mouseLeave()"
         (click)="desktopRef.requestFocus(this)">
  <header class="window-header unselectable"
          (mousedown)="windowDragStart($event)"
          (mouseup)="windowDragStop()">
    <img src="{{contentRef?.properties.icon}}" alt="logo" class="window-logo" draggable="false">
    <span class="window-title">{{contentRef?.properties.title}}</span>
    <span class="window-message">{{contentRef?.properties.headerMessage}}</span>
    <div class="header-buttons">
      <div class="header-button" *ngIf="contentRef?.properties.headerActions.length > 0" (click)="actions.classList.toggle('visible')">
        <mat-icon class="icon">expand_more</mat-icon>

        <div class="header-actions" #actions (mouseleave)="actions.classList.remove('visible')">
          <div class="action" *ngFor="let action of contentRef?.properties.headerActions" (click)="action.click($event)">
            <mat-icon>{{action.icon}}</mat-icon>
            <span>{{action.name}}</span>
          </div>
        </div>
      </div>
      <div class="header-button" (click)="minimize()">
        <mat-icon class="icon minimize">minimize</mat-icon>
      </div>
      <div class="header-button" (click)="toggleMaximize()">
        <mat-icon class="icon">{{resizeIcon}}</mat-icon>
      </div>
      <div class="header-button" (click)="close()">
        <mat-icon class="icon">close</mat-icon>
      </div>
    </div>
  </header>
  <section class="content">
    <meta #content>
  </section>
</section>
